org.wildfly.swarm.config.undertow.server.host

## Class AccessLogSetting<T extends AccessLogSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.host.AccessLogSetting<T>

-     public class AccessLogSetting<T extends AccessLogSetting<T>>
      extends Object

  The access log configuration for this virtual server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `directory()` Directory in which to save logs
    `T` | `directory(String value)` Directory in which to save logs
    `Boolean` | `extended()` If the log uses the extended log file format
    `T` | `extended(Boolean value)` If the log uses the extended log file format
    `String` | `getKey()`
    `String` | `pattern()` The access log pattern.
    `T` | `pattern(String value)` The access log pattern.
    `String` | `predicate()` Predicate that determines if the request should be logged
    `T` | `predicate(String value)` Predicate that determines if the request should be logged
    `String` | `prefix()` Prefix for the log file name.
    `T` | `prefix(String value)` Prefix for the log file name.
    `String` | `relativeTo()` The directory the path is relative to
    `T` | `relativeTo(String value)` The directory the path is relative to
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `rotate()` Rotate the access log every day.
    `T` | `rotate(Boolean value)` Rotate the access log every day.
    `String` | `suffix()` Suffix for the log file name.
    `T` | `suffix(String value)` Suffix for the log file name.
    `Boolean` | `useServerLog()` If the log should be written to the server log, rather than a separate file.
    `T` | `useServerLog(Boolean value)` If the log should be written to the server log, rather than a separate file.
    `String` | `worker()` Name of the worker to use for logging
    `T` | `worker(String value)` Name of the worker to use for logging

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogSetting

          public AccessLogSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### directory

          public String directory()

      Directory in which to save logs

    - #### directory

          public T directory(String value)

      Directory in which to save logs

    - #### extended

          public Boolean extended()

      If the log uses the extended log file format

    - #### extended

          public T extended(Boolean value)

      If the log uses the extended log file format

    - #### pattern

          public String pattern()

      The access log pattern.

    - #### pattern

          public T pattern(String value)

      The access log pattern.

    - #### predicate

          public String predicate()

      Predicate that determines if the request should be logged

    - #### predicate

          public T predicate(String value)

      Predicate that determines if the request should be logged

    - #### prefix

          public String prefix()

      Prefix for the log file name.

    - #### prefix

          public T prefix(String value)

      Prefix for the log file name.

    - #### relativeTo

          public String relativeTo()

      The directory the path is relative to

    - #### relativeTo

          public T relativeTo(String value)

      The directory the path is relative to

    - #### rotate

          public Boolean rotate()

      Rotate the access log every day.

    - #### rotate

          public T rotate(Boolean value)

      Rotate the access log every day.

    - #### suffix

          public String suffix()

      Suffix for the log file name.

    - #### suffix

          public T suffix(String value)

      Suffix for the log file name.

    - #### useServerLog

          public Boolean useServerLog()

      If the log should be written to the server log, rather than a separate file.

    - #### useServerLog

          public T useServerLog(Boolean value)

      If the log should be written to the server log, rather than a separate file.

    - #### worker

          public String worker()

      Name of the worker to use for logging

    - #### worker

          public T worker(String value)

      Name of the worker to use for logging

Copyright © 2018 JBoss by Red Hat. All rights reserved.